import { Action } from '@ngrx/store';

export const NOTIFICATION_ACTION_TYPE_PREFIX = '@@NOTIFICATION';

export interface NotificationAction extends Action {
  payload?: any;
}

export function notificationActionEnum(method: string): string {
  return `[${NOTIFICATION_ACTION_TYPE_PREFIX}] ${method}`;
}

export function notificationAction(method: string, params: any): Action {
  const action: NotificationAction = {
    type: notificationActionEnum(method),
    payload: params,
  };
  return action;
}

