import {
  createSelector,
  createFeatureSelector,
  ActionReducerMap,
  Selector,
} from '@ngrx/store';

import { StateSelector } from 'packages/core/ngrx/store';

import { MODULE } from '../discovery.constant';


import * as NotificationStore from './notification';
import * as SettingStore from './setting';


export interface State {
  notification: NotificationStore.State;
  setting: SettingStore.State;
}

export const REDUCERS = {
  notification: NotificationStore.reducer,
  setting: SettingStore.reducer,
};

export const EFFECTS = [
  SettingStore.Effects,
  NotificationStore.Effects,
];

export const selectDiscoveryState = createFeatureSelector<State>(MODULE.name);

export const NotificationSelector = new StateSelector<NotificationStore.State>(createSelector(
  selectDiscoveryState,
  (state: State) => state.notification
));

export const SettingSelector = new StateSelector<SettingStore.State>(createSelector(
  selectDiscoveryState,
  (state: State) => state.setting
));
