import { Injectable } from '@angular/core';
import { Router } from '@angular/router';

import { Effect, Actions, ofType } from '@ngrx/effects';
import { Action } from '@ngrx/store';

import { Observable } from 'rxjs/Observable';
import { of } from 'rxjs/observable/of';

import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/do';
import 'rxjs/add/operator/exhaustMap';
import 'rxjs/add/operator/switchMap';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/take';

import { RPCError } from 'packages/core/rpc/error';
import {
  DiscoverZone,
  DiscoverHost,
  DiscoverPort,
  DiscoverService,
  ActionType
} from './notification.action';
import {DiscoveryService} from '../../service/discovery.service';


@Injectable()
export class Effects {

  constructor(private actions$: Actions,
              private discoveryService: DiscoveryService,
              private router: Router) {
  }

  @Effect({ dispatch: false })
  discoveryZone$ = this.actions$
    .ofType(ActionType.DiscoverZone)
    .map((action: DiscoverZone) => action.payload)
    .do(payload => {
      this.discoveryService.discoverZone(payload.probeID, payload.discoveryZone);
    });

}
