import {
    createSelector,
    createFeatureSelector,
    ActionReducerMap,
  } from '@ngrx/store';

  import { StateSelector } from 'packages/core/ngrx/store';

  import { MODULE } from '../meta.constant';

  import * as CrawlerReadAllStore from './crawler-readall';

  export interface State {
    readAll: CrawlerReadAllStore.State;
  }

  export const REDUCERS = {
    readAll: CrawlerReadAllStore.reducer,
  };

  export const EFFECTS = [
    CrawlerReadAllStore.Effects,
  ];

  export const selectCrawlerReadAllState = createFeatureSelector<State>(MODULE.name);

  export const CrawlerReadAllSelector = new StateSelector<CrawlerReadAllStore.State>(createSelector(
    selectCrawlerReadAllState,
    (state: State) => state.readAll
  ));

