import { Component, OnInit, Input, OnChanges } from '@angular/core';
import { Router } from '@angular/router';
import { Target } from 'packages/target/model';
import { MetaCrawler } from '../../../../meta/model';


@Component({
  selector: 'of-crawler-selector',
  templateUrl: './crawler-selector.component.html',
  styleUrls: ['./crawler-selector.component.scss']
})
export class CrawlerSelectorComponent implements OnInit, OnChanges {

  @Input() selectedTarget: Target;
  crawlers: MetaCrawler[];

  constructor(private router: Router) {
  }

  ngOnInit() {
  }

  ngOnChanges() {
    if (this.selectedTarget) {
      console.log('Getting valid crawlers for ' + this.selectedTarget.displayName);
    }

    this.crawlers = new Array();
    for (let i = 0; i < 3; i++) {
      const c: MetaCrawler = {
        id: i,
        name: 'Crawler' + i,
      };
      this.crawlers.push(c);
    }
  }

  crawlerSelected(crawler: MetaCrawler) {
    // console.log(crawler);
  }
}
